includes("**/xmake.lua")
add_requires("spdlog")
add_requires("tinyobjloader", {system = false, configs = {runtimes = "MD"}})
add_requires("assimp","nlohmann_json")
add_requires("benchmark")
local utils = {
    "glslang", "SPIRV", "SPIRV-Tools", "shaderc", "shaderc_shared","shaderc_util", "shaderc_combined",
    "spirv-cross-glsl","spirv-cross-cpp", "spirv-cross-core", "spirv-cross-reflect","spirv-cross-util"
}
add_requires("vulkansdk",{configs = {utils = utils}})